package com.ss.android.ugc.aweme.shortvideo.util.performance;

import X.C2763NQo;
import X.LeS;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.performance.PerformanceMonitor;
import java.util.List;

public final class CameraFirstFramePerformanceMonitor implements PerformanceMonitor {
    public static final Parcelable.Creator<CameraFirstFramePerformanceMonitor> CREATOR = new C2763NQo();
    public static final CameraFirstFramePerformanceMonitor LIZ = new CameraFirstFramePerformanceMonitor();

    public final String LIZ() {
        return "av_video_record_init";
    }

    public final String LIZIZ() {
        return "";
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeInt(1);
    }

    public final List<String> LIZJ() {
        return LeS.LIZLLL(new String[]{"camera frame available", "PlanC onResume"});
    }

    static {
        Covode.recordClassIndex(113617);
    }
}
